Create a Payout Link
Create a Payout Link. Payout agent credentials accept only `amount`, `user_id`, `payee`, `delivery`, `idempotency_key`, and `metadata`. They require `idempotency_key` and exactly one recipient identity. Agent phone numbers may start with zero, but customer-authenticated requests reject them.
Create a Payout Link. Payout agent credentials accept only amount, user_id, payee, delivery, idempotency_key, and metadata. They require idempotency_key and exactly one recipient identity. Agent phone numbers may start with zero, but customer-authenticated requests reject them.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/payout-links" \ -H "Content-Type: application/json" \ -d '{ "amount": 0 }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "link": "http://example.com", "amount": 0, "status": "funds_pending", "payee": { "first_name": "string", "last_name": "string", "email": "user@example.com", "country_code": "string", "phone_number": "string" }, "delivery": { "method": "link", "email": "user@example.com", "country_code": "string", "phone_number": "string" }, "tax_exempt": true, "claimed_user_id": "66f08eaa-a101-4a26-b1a7-7241439dcee8", "flow_id": "0746f03b-16cc-49fb-9833-df3713d407d2", "transfer_id": "d4a2d8dd-7def-4545-a062-761683b9aa05", "memo": "string", "metadata": "string", "description": "string", "accounting_data": { "quickbooks_account_id": 0, "quickbooks_class_id": 0 }, "created_by_email": "user@example.com", "funding_source": "dots_balance"}{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "link": "http://example.com", "amount": 0, "status": "funds_pending", "payee": { "first_name": "string", "last_name": "string", "email": "user@example.com", "country_code": "string", "phone_number": "string" }, "delivery": { "method": "link", "email": "user@example.com", "country_code": "string", "phone_number": "string" }, "tax_exempt": true, "claimed_user_id": "66f08eaa-a101-4a26-b1a7-7241439dcee8", "flow_id": "0746f03b-16cc-49fb-9833-df3713d407d2", "transfer_id": "d4a2d8dd-7def-4545-a062-761683b9aa05", "memo": "string", "metadata": "string", "description": "string", "accounting_data": { "quickbooks_account_id": 0, "quickbooks_class_id": 0 }, "created_by_email": "user@example.com", "funding_source": "dots_balance"}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}